package org.springblade.common.auth.support;

import com.wn.common.datamodel.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 应用中的角色信息
 * </p>
 *
 * @author wpp
 * @since 2019-09-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "角色信息", description = "角色信息")
public class RoleV2 extends BaseDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 应用ID
     */
    @ApiModelProperty(name = "applicationId", value = "应用ID")
    private Long applicationId;
    /**
     * 角色编码
     */
    @ApiModelProperty(name = "code", value = "角色编码")
    private String code;
    /**
     * 角色名称
     */
    @ApiModelProperty(name = "name", value = "角色名称")
    private String name;
    /**
     * 状态，0:新建，1:启用 2：停用
     */
    @ApiModelProperty(name = "status", value = "状态，0:新建，1:启用 2：停用")
    private Integer status;
    /**
     * 显示顺序
     */
    @ApiModelProperty(name = "sequenceNumber", value = "显示顺序")
    private Integer sequenceNumber;
    /**
     * 角色描述
     */
    @ApiModelProperty(name = "description", value = "角色描述")
    private String description;
    /**
     * 创建人
     */
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;
    /**
     * 修改人
     */
    @ApiModelProperty(name = "modifier", value = "修改人")
    private String modifier;

}
