package org.springblade.common.auth.support;

import com.wn.common.datamodel.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 用户数据权限信息
 * </p>
 *
 * @author wpp
 * @since 2019-09-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "用户数据权限信息", description = "用户数据权限信息")
public class UserDataPermission extends BaseDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    @ApiModelProperty(name = "userId", value = "员工号")
    private Long userId;
    /**
     * 应用ID
     */
    @ApiModelProperty(name = "applicationId", value = "员工号")
    private Long applicationId;
    /**
     * 参数键
     */
    @ApiModelProperty(name = "paraKey", value = "员工号")
    private String paraKey;
    /**
     * 参数值
     */
    @ApiModelProperty(name = "paraValue", value = "员工号")
    private String paraValue;
    /**
     * 创建人
     */
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;
    /**
     * 修改人
     */
    @ApiModelProperty(name = "modifier", value = "修改人")
    private String modifier;

}
