package org.springblade.common.upyzt.model;

import org.springblade.common.upyzt.exception.UpyztException;
import org.springblade.common.upyzt.net.APIResource;
import org.springblade.common.upyzt.resp.AcctDepositPaginationResp;
import java.util.Map;
import lombok.experimental.Accessors;

@Accessors(chain = true)
public class AcctDeposit extends APIResource {

    /**
     * 支付充值订单查询（平台订单号）
     *
     * @param params 查询参数
     * @return 返回参数
     * @throws UpyztException 异常
     */
    public static AcctDepositPaginationResp retrieveByAcctAndTradeType(Map<String, Object> params) throws UpyztException {
        return APIResource.request(RequestMethod.GET,
            classURLWithOutS(AcctDeposit.class, "_query"), params,
            AcctDepositPaginationResp.class, null);
    }

}
