package org.springblade.common.upyzt.param;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 个人用户详情
 *
 * @author joeyzhou
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CusDetailsParam implements Serializable {

    /**
     * 个人用户详情表 Id
     */
    private String cusDetailId;

    /**
     * 快照时间
     */
    private LocalDateTime snapshottedAt;

    /**
     * 当前快照关联的最新 ID
     */
    private String latestId;

    /**
     * 关联的个人用户ID
     */
    private String cusId;

    /**
     * 业务申请编号
     */
    private String outRequestNo;

    /**
     * 证件类型。1 - id_card 身份证|2 - 护照|3 - 香港来往内地通行证|4 - 澳门来往内地通行证|5 - 台湾来往内地通行证
     */
    private String idCardType;

    /**
     * 证件人像面照片地址
     */
    private String idCardCopyImgUrl;

    /**
     * 证件国徽面照片地址
     */
    private String idCardNationalImgUrl;

    /**
     * 证件姓名
     */
    private String idCardName;

    /**
     * 证件号码
     */
    private String idCardNumber;

    /**
     * 证件有效期限，格式:1970-01-01，长期
     */
    private String idCardValidTime;

    /**
     * 管理员手机号码，11位数字
     */
    private String mobileNumber;
}
