package org.springblade.common.upyzt.resp;

import org.springblade.common.upyzt.param.TransferResultParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

@Getter
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class AllocationResp extends UpyztResp {

    /**
     * 分账ID
     */
    private String allocationId;

    /**
     * 付款方电子账簿ID
     */
    private String payBalanceAcctId;

    /**
     * 分账结果列表。
     */
    private List<TransferResultParam> transferResults;

    /**
     * 交易状态。processing（处理中）; succeeded （成功）; failed （失败）; partial（部分成功）。
     */
    private String status;

    /**
     * 关联的商户订单号
     */
    private String outOrderNo;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 处理完成时间
     */
    private LocalDateTime finishedAt;

    /**
     * 备注
     */
    private String remark;

    /**
     * 扩展字段
     */
    private Map<String, Object> extra;

    /**
     * 自定义参数
     */
    private Map<String, Object> metadata;
}
