package org.springblade.common.upyzt.resp;

import lombok.Getter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author afon
 * @version 1.0
 */
@Getter
public class BalanceTxnResp implements Serializable {

    /**
     * 余额明细 Id
     */
    private String balanceTxnId;

    /**
     * 关联的电子账簿ID
     */
    private String balanceAcctId;

    /**
     * 关联的订单 Id
     */
    private String tradeId;

    /**
     * 关联的商户订单号
     */
    private String outOrderNo;

    /**
     * 交易类型
     */
    private Integer tradeType;

    /**
     * 明细类型
     */
    private Integer txnType;

    /**
     * 已清算金额，允许为负，单位分
     */
    private Long settledAmount;

    /**
     * 在途金额，允许为负，单位分
     */
    private Long pendingAmount;

    /**
     * 消费在途金额，允许为负，单位分
     */
    private Long expensingAmount;

    /**
     * 备注
     */
    private String remark;

    /**
     * 操作后账户已清算余额，单位分
     */
    private Long settledBalance;

    /**
     * 操作后账户在途余额，单位分
     */
    private Long pendingBalance;

    /**
     * 操作后账户不可用余额，单位分
     */
    private Long expensingBalance;

    /**
     * 原始交易ID。退款等反向操作时有值
     */
    private String origTradeId;

    /**
     * 原始交易平台订单号。退款等反向操作时有值
     */
    private String origOutOrderNo;

    /**
     * 交易成功时间
     */
    private LocalDateTime succeededAt;
}
