package org.springblade.common.upyzt.resp;

import org.springblade.common.upyzt.param.Extra;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.Map;

@Getter
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class CombinedDepositConfirmResp extends UpyztResp {

    /**
     * 合并充值担保确认ID
     */
    private String combinedDepositConfirmId;

    /**
     * 关联的商户订单号
     */
    private String outOrderNo;

    /**
     * 合并充值担保下单子单ID
     */
    private String guaranteeDepositId;

    /**
     * 余额账户ID。
     */
    private String balanceAcctId;

    /**
     * 金额，单位分
     */
    private Long amount;

    /**
     * 交易状态。1：processing（处理中）; 2：succeeded （成功）; 3：failed （失败）。
     */
    private String status;

    /**
     * 已退款金额
     */
    private Long refundedAmount;

    /**
     * 分账ID
     */
    private String allocationId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 扩展字段
     */
    private Extra extra;

    /**
     * 自定义参数
     */
    private Map<String, Object> metadata;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 完成时间
     */
    private LocalDateTime finishedAt;

}
