package org.springblade.common.upyzt.resp;

import com.google.gson.annotations.SerializedName;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

@Getter
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class CombinedGuaranteePaymentResp extends UpyztResp {

    /**
     * 合并消费担保下单母单ID
     */
    private String combinedGuaranteePaymentId;

    /**
     * 关联的商户订单号
     */
    @SerializedName("combined_out_order_no")
    private String outOrderNo;

    /**
     * 付款方余额账户ID。
     */
    private String payBalanceAcctId;

    /**
     * 合并消费担保下单明细
     */
    @SerializedName("guarantee_payment_results")
    private List<GuaranteePaymentResult> guaranteePaymentResults;

    /**
     * 交易状态。1：processing（处理中）; 2：succeeded （成功）; 3：failed （失败）4：partially_succeeded（部分成功）。
     */
    private String status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 扩展字段
     */
    private Map<String, Object> extra;

    /**
     * 自定义参数
     */
    private Map<String, Object> metadata;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 完成时间
     */
    private LocalDateTime finishedAt;

}
