package org.springblade.common.upyzt.resp;


import org.springblade.common.upyzt.param.Extra;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Map;

/**
 * @author yf.zhao
 * @version 1.0
 * @since 2020/9/21
 */
@Getter
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class GuaranteeDepositResp extends UpyztResp {

    /**
     * 合并支付担保下单子订单ID
     */
    private String guaranteeDepositId;

    /**
     * 电子账簿 ID
     */
    private String balanceAcctId;

    /**
     * 支付通道类型。
     */
    private String paymentType;

    /**
     * 支付通道订单号
     */
    private String paymentTradeNo;

    /**
     * 支付通道成功时间
     */
    private LocalDateTime paymentSucceededAt;

    /**
     * 金额，单位分
     */
    private Long amount;

    /**
     * 确认收货金额
     */
    private Long confirmedAmount;

    /**
     * 已退款金额
     */
    private Long refundedAmount;

    /**
     * 状态。1：processing（处理中）; 2：succeeded （成功）; 3：failed （失败）
     */
    private String status;

    /**
     * 关联的商户订单号
     */
    private String outOrderNo;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 处理完成时间
     */
    private LocalDateTime finishedAt;

    /**
     * 失败原因。
     */
    private String reason;

    /**
     * 备注
     */
    private String remark;

    /**
     * 扩展字段
     */
    private Extra extra;

    /**
     * 自定义参数
     */
    private Map<String, Object> metadata;


}
