package org.springblade.common.upyzt.resp;

import org.springblade.common.upyzt.param.Extra;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.Map;

@Getter
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class GuaranteePaymentResp extends UpyztResp {

    /**
     * 担保交易ID
     */
    private String guaranteePaymentId;

    /**
     * 支付方电子账簿ID
     */
    private String payBalanceAcctId;

    /**
     * 收款方电子账簿ID
     */
    private String recvBalanceAcctId;

    /**
     * 金额，单位分
     */
    private Long amount;

    /**
     * 交易状态。processing（处理中）; succeeded （成功）; failed （失败）
     */
    private String status;

    /**
     * 已确认收货金额
     */
    private Long confirmedAmount;

    /**
     * 已退款金额
     */
    private Long refundedAmount;

    /**
     * 关联的商户订单号
     */
    private String outOrderNo;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 处理完成时间
     */
    private LocalDateTime finishedAt;

    /**
     * 失败原因。
     */
    private String reason;

    /**
     * 备注
     */
    private String remark;

    /**
     * 扩展字段
     */
    private Extra extra;

    /**
     * 自定义参数
     */
    private Map<String, Object> metadata;

}
