package org.springblade.common.upyzt.resp;

import org.springblade.common.upyzt.param.Extra;
import java.time.LocalDateTime;
import java.util.Map;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

/**
 * 大额订单响应
 */
@Getter
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class LargePaymentResp extends UpyztResp {

    /**
     * 大额订单 ID
     */
    private String largePaymentId;

    /**
     * 大额消费订单号
     */
    private String largePaymentNo;

    /**
     * 收款方电子账簿 ID 。
     */
    private String recvBalanceAcctId;

    /**
     * 收款方开户户名
     */
    private String recvBankAcctName;

    /**
     * 付款方开户卡号
     */
    private String payBankAcctNo;

    /**
     * 付款方开户名称
     */
    private String payBankAcctName;

    /**
     * 银行流水号
     */
    private String bankTransactionNo;

    /**
     * 金额，单位分
     */
    private Long amount;

    /**
     * 状态。1：processing（处理中）; 2：succeeded （成功）; 3：failed （失败）
     */
    private String status;

    /**
     * 关联的商户订单号
     */
    private String outOrderNo;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 处理完成时间
     */
    private LocalDateTime finishedAt;

    /**
     * 大额订单号有效时间
     */
    private LocalDateTime expiredAt;

    /**
     * 大额订单号撤销时间
     */
    private LocalDateTime canceledAt;

    /**
     * 失败原因。
     */
    private String reason;

    /**
     * 备注
     */
    private String remark;

    /**
     * 扩展字段
     */
    private Extra extra;

    /**
     * 自定义参数
     */
    private Map<String, Object> metadata;
}
