package org.springblade.common.upyzt.resp;

import org.springblade.common.upyzt.param.Extra;
import java.time.LocalDateTime;
import java.util.Map;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

/**
 * 转账入金退款
 */
@Getter
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class TransferRefundResp extends UpyztResp {

    /**
     * 转账入金退款ID
     */
    private String transferRefundId;

    /**
     * 原始交易ID
     */
    private String origTradeId;

    /**
     * 原交易单金额，单位分
     */
    private Long origAmount;

    /**
     * 原交易单已退款金额，单位分
     */
    private Long origRefundedAmount;

    /**
     * 原始交易外部请求单号
     */
    private String origOutOrderNo;

    /**
     * 原始付款方开户卡号
     */
    private String origPayBankAcctNo;

    /**
     * 原始付款方开户名称
     */
    private String origPayBankAcctName;

    /**
     * 退款金额，单位分
     */
    private Long amount;

    /**
     * 状态。1：processing（处理中）; 2：succeeded （成功）; 3：failed （失败）
     */
    private String status;

    /**
     * 关联的商户订单号
     */
    private String outOrderNo;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 处理完成时间
     */
    private LocalDateTime finishedAt;

    /**
     * 失败原因。
     */
    private String reason;

    /**
     * 备注
     */
    private String remark;

    /**
     * 扩展字段
     */
    private Extra extra;

    /**
     * 自定义参数
     */
    private Map<String, Object> metadata;
}
