package org.springblade.modules.app.common.dto;

import com.wn.common.datamodel.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 审批信息表
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
@Data
@ApiModel(value = "ApplicationInfoDTO", description = "审批信息")
public class ApplicationInfoDTO extends BaseDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 关联id
     */
    @ApiModelProperty(name = "linkId", value = "关联id")
    private Long linkId;

    /**
     * 关联表
     */
    @ApiModelProperty(name = "linkTable", value = "关联表")
    private String linkTable;

    /**
     * 状态 0-未审核 1-通过 2-驳回
     */
    @ApiModelProperty(name = "state", value = "状态 0-未审核 1-通过 2-驳回")
    private Integer state;

    /**
     * 审核意见
     */
    @ApiModelProperty(name = "message", value = "审核意见")
    private String message;

    /**
     * 类型 1-合同确认 2-调运单确认 3-调运单审核 4-运输单确认
     */
    @ApiModelProperty(name = "type", value = "类型 1-合同确认 2-调运单确认 3-调运单审核 4-运输单确认")
    private Integer type;

    /**
     * 提交人id
     */
    @ApiModelProperty(name = "submitUserId", value = "提交人id")
    private Long submitUserId;

    /**
     * 提交人姓名
     */
    @ApiModelProperty(name = "submitUserName", value = "提交人姓名")
    private String submitUserName;

    /**
     * 提交人手机
     */
    @ApiModelProperty(name = "submitPhone", value = "提交人手机")
    private String submitPhone;

    /**
     * 审批人id
     */
    @ApiModelProperty(name = "applyUserId", value = "审批人id")
    private Long applyUserId;

    /**
     * 审批人姓名
     */
    @ApiModelProperty(name = "applyUserName", value = "审批人姓名")
    private String applyUserName;

    /**
     * 审批人手机号
     */
    @ApiModelProperty(name = "applyPhone", value = "审批人手机号")
    private String applyPhone;


}
