package org.springblade.modules.app.common.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 消息记录表
 * </p>
 *
 * @author huyinuo
 * @since 2022-01-17
 */
@Data
@ApiModel(value = "MessageLoggingDTO", description = "消息记录表")
public class MessageLoggingDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "userId", value = "用户id")
    private Long userId;

    /**
     * 客户端标识号id
     */
    @ApiModelProperty(name = "clientId", value = "客户端标识号id")
    private String clientId;

    /**
     * 状态 1：成功 -1：失败
     */
    @ApiModelProperty(name = "status", value = "状态 1：成功 -1：失败")
    private Integer status;

    /**
     * 消息代码
     */
    @ApiModelProperty(name = "messageCode", value = "消息代码")
    private Long messageCode;

    /**
     * 消息内容
     */
    @ApiModelProperty(name = "messageContent", value = "消息内容")
    private String messageContent;

}
