package org.springblade.modules.app.common.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.BaseDTO;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 附件表
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
@Data
@ApiModel(value = "PictureInfoDTO", description = "图片附件")
public class PictureInfoDTO extends BaseDTO {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "id", value = "附件id")
    private Long id;

    /**
     * 关联id
     */
    @ApiModelProperty(name = "linkId", value = "关联id")
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    private Long linkId;

    /**
     * 关联表
     */
    @ApiModelProperty(name = "linkTable", value = "关联表")
    private String linkTable;

    /**
     * 类型 1-合同 2-血检 3-空车 4-装运 5-A票 6-验收
     */
    @ApiModelProperty(name = "type", value = "类型 1-合同 2-血检 3-空车 4-装运 5-A票 6-验收")
    private Integer type;

    /**
     * 图片
     */
    @ApiModelProperty(name = "url", value = "图片url")
    private String url;

    /**
     * 排序
     */
    @ApiModelProperty(name = "sort", value = "排序")
    private Integer sort;

    /**
     * 图片信息
     */
    @ApiModelProperty(name = "message", value = "图片信息")
    private String message;

    /**
     * 验收数量
     */
    @ApiModelProperty(name = "acceptNum", value = "验收数量")
    private Integer acceptNum;

}
