package org.springblade.modules.app.common.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.BaseDTO;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * <p>
 * 问题反馈
 * </p>
 *
 * @author zhangk
 * @since 2022-01-14
 */
@Data
@ApiModel(value = "ProblemBackDTO", description = "问题反馈")
public class ProblemBackDTO extends BaseDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 反馈用户id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "userId", value = "反馈用户id")
    private Long userId;

    /**
     * 反馈用户名称
     */
    @ApiModelProperty(name = "title", value = "反馈用户名称")
    private String userName;

    /**
     * 状态 0未查看  1已查看
     */
    @ApiModelProperty(name = "state", value = "状态 0未查看  1已查看")
    private Integer state;

    /**
     * 标题
     */
    @ApiModelProperty(name = "title", value = "标题")
    private String title;

    /**
     * 内容
     */
    @ApiModelProperty(name = "content", value = "内容")
    private String content;


    /**
     * 附件url1
     */
    @ApiModelProperty(name = "pictureUrl1", value = "附件url1")
    private String pictureUrl1;

    /**
     * 附件url2
     */
    @ApiModelProperty(name = "pictureUrl2", value = "附件url2")
    private String pictureUrl2;

    private Integer replyType;

    private String replyContext;

    /**
     * 附件url3
     */
    @ApiModelProperty(name = "pictureUrl3", value = "附件url3")
    private String pictureUrl3;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private Date createdTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private Date modifiedTime;


}
