package org.springblade.modules.app.common.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * <p>
 * 供浙养殖场调运统计
 * </p>
 *
 * @author zhangk
 * @since 2021-12-30
 */
@Data
@ApiModel(value = "StatBySalerDTO", description = "养殖场调运统计信息")
public class StatByBuyerDTO {

    private static final long serialVersionUID = 1L;


    /**
     * 调运量（头）
     */
    @ApiModelProperty(name = "quantity", value = "调运量（头）")
    private Integer quantity;


    /**
     * 合作养殖场数量
     */
    @ApiModelProperty(name = "salerQuantity", value = "合作养殖场数量")
    private Integer salerQuantity;


    /**
     * 屠宰场id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "buyerUserId", value = "屠宰场id")
    private Long buyerUserId;


    /**
     * 屠宰场名称
     */
    @ApiModelProperty(name = "buyerUserName", value = "屠宰场名称")
    private String buyerUserName;

    /**
     * 同比百分比（正负数代表增减）
     */
    @ApiModelProperty(name = "salerQuantity", value = "同比百分比（正负数代表增减）")
    private Integer yoy;

    /**
     * 环比百分比（正负数代表增减）
     */
    @ApiModelProperty(name = "salerQuantity", value = "环比百分比（正负数代表增减）")
    private Integer mom;

}
