package org.springblade.modules.app.common.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * <p>
 * 供浙养殖场调运统计
 * </p>
 *
 * @author zhangk
 * @since 2021-12-30
 */
@Data
@ApiModel(value = "StatBySalerDTO", description = "养殖场调运统计信息")
public class StatBySalerDTO {

    private static final long serialVersionUID = 1L;


    /**
     * 养殖场id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "salerUserId", value = "养殖场id")
    private Long salerUserId;


    /**
     * 养殖场名称
     */
    @ApiModelProperty(name = "salerUserName", value = "养殖场名称")
    private String salerUserName;


    /**
     * 调运量（头）
     */
    @ApiModelProperty(name = "quantity", value = "调运量（头）")
    private Integer quantity;




}
