package org.springblade.modules.app.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * <p>
 * 调运单审批回调信息
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
@Data
@ApiModel(value = "WaybillCallbackDTO", description = "调运单审批回调信息")
public class WaybillCallbackDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 当前时间戳（毫秒值）：三分钟内有效
     */
    @ApiModelProperty(name = "timestamp", value = "当前时间戳（毫秒值）：三分钟内有效")
    private Long timestamps;

    /**
     * 业务参数密文（业务参数json字符串des加密后的密文）
     */
    @ApiModelProperty(name = "data", value = "业务参数密文")
    private String data;

    /**
     * 签名
     */
    @ApiModelProperty(name = "sign", value = "签名")
    private String sign;
}
