package org.springblade.modules.app.common.query;

import com.wn.common.datamodel.BaseQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.util.Date;

/**
 * @author fuxinsheng
 */
@Data
@Api(tags = "管理端调运单查询条件")
@Slf4j
public class AdminWaybillQuery extends BaseQuery {

    private static final long serialVersionUID = 3315064777503424033L;

    /**
     * 畜牧单编号
     */
    @ApiModelProperty(name = "outTradeNo", value = "畜牧单编号")
    private String outTradeNo;

    /**
     * 经纪人姓名
     */
    @ApiModelProperty(name = "agentName", value = "经纪人姓名")
    private String agentName;

    /**
     * 司机姓名
     */
    @ApiModelProperty(name = "driverUserName", value = "司机姓名")
    private String driverUserName;

    /**
     * 养殖场名称
     */
    @ApiModelProperty(name = "salerName", value = "养殖场名称")
    private String salerName;


    /**
     * 屠宰场名称
     */
    @ApiModelProperty(name = "buyerName", value = "屠宰场名称")
    private String buyerName;

    /**
     * 状态 0-待确认 1-待审批 2-调运中 3-已完成 -1-已驳回 -2-未通过
     */
    @ApiModelProperty(name = "state", value = "状态 0-待确认 1-待审批 2-调运中 3-已完成 -1-已驳回 -2-未通过")
    private Integer state;

    /**
     * 开始时间
     */
    @ApiModelProperty(name = "startTime", value = "开始时间")
    private Date startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(name = "endTime", value = "结束时间")
    private Date endTime;

}
