package org.springblade.modules.app.common.query;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.BaseQuery;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author huyinuo
 */
@Data
@Api(tags = "app用户标识查询条件")
public class AppUserIdQuery extends BaseQuery {

    /**
     * 用户id
     */
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "userId", value = "用户id")
    private Long userId;

    /**
     * 客户端标识号id
     */
    @ApiModelProperty(name = "clientId", value = "客户端标识号id")
    private String clientId;
}
