package org.springblade.modules.app.common.query;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.io.Serializable;

@Data
@Api(tags = "申请单信息查询条件")
@Slf4j
public class ApplicationQuery implements Serializable {

    private static final long serialVersionUID = 3315064777503424033L;

    /**
     * 关联id
     */
    @ApiModelProperty(name = "linkId", value = "关联id")
    private Long linkId;
    /**
     * 提交人id
     */
    @ApiModelProperty(name = "submitUserId", value = "提交人id")
    private Long submitUserId;
    /**
     * 类型 1-合同确认 2-调运单确认 3-调运单审核 4-运输单确认
     */
    @ApiModelProperty(name = "type", value = "类型 1-合同确认 2-调运单确认 3-调运单审核 4-运输单确认 8-屠宰场确认代宰户备案单")
    private Integer type;
    /**
     * 审批人id
     */
    @ApiModelProperty(name = "applyUserId", value = "审批人id")
    private Long applyUserId;
    /**
     * 状态 0-未审核 1-通过 2-驳回
     */
    @ApiModelProperty(name = "state", value = "状态 0-未审核 1-通过 2-驳回")
    private Integer state;

    private Integer version;
}
