package org.springblade.modules.app.common.query;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.BaseQuery;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author huyinuo
 */
@Data
@Api(tags = "入浙备案登记信息查询条件")
public class EnteringZhejiangFilingQuery extends BaseQuery {

    /**
     * 养殖场id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "userId", value = "养殖场id")
    private Long userId;

    /**
     * 养殖场名称
     */
    @ApiModelProperty(name = "userName", value = "养殖场名称")
    private String userName;

    /**
     * 状态 0：未查看 1：已查看
     */
    @ApiModelProperty(name = "status", value = "状态 0：未查看 1：已查看")
    private Integer status;

    /**
     * 开始时间
     */
    @ApiModelProperty(name = "startTime", value = "开始时间")
    private Date startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(name = "endTime", value = "结束时间")
    private Date endTime;

}
