package org.springblade.modules.app.common.query;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName: UserQuery
 * @Description:
 * @author: fxs
 * @createTime: 2021-11-08-13:59
 */

@Data
@Api(tags = "运输单查询条件")
public class TransportQuery implements Serializable {
    /**
     * 运输单id
     */
    @ApiModelProperty(name = "wayBillId", value = "调运单id")
    private Long wayBillId;

    /**
     * 司机id
     */
    @ApiModelProperty(name = "driverId", value = "司机id")
    private Long driverId;

    /**
     * agentId
     */
    @ApiModelProperty(name = "agentId",value = "经纪人id")
    private Long agentId;

    /**
     * 屠宰场id
     */
    @ApiModelProperty(name = "buyerId",value = "屠宰场id")
    private Long buyerId;

    /**
     * 养殖场id
     */
    @ApiModelProperty(name = "salerId",value = "养殖场id")
    private Long salerId;

    /**
     * 代宰户id
     */
    @ApiModelProperty(name = "slaughterHouseId",value = "代宰户id")
    private Long slaughterHouseId;

    /**
     * 运输单id集合
     */
    @ApiModelProperty(name = "wayBillIdList", value = "调运单id集合")
    private List<Long> wayBillIdList;

    /**
     * 状态集合
     */
    @ApiModelProperty(name = "stateList",value = "状态集合")
    private List<Integer> stateList;

    /**
     * 状态
     */
    @ApiModelProperty(name = "state",value = "状态")
    private Integer state;

    /**
     * 验收状态 -1-未提交 0-待确认 1-通过 2-驳回
     */
    @ApiModelProperty(name = "acceptState",value = "验收状态 -1-未提交 0-待确认 1-通过 2-驳回")
    private Integer acceptState;

    /**
     * 验收状态 -1-未提交 0-待确认 1-通过 2-驳回
     */
    @ApiModelProperty(name = "neAcceptState",value = "验收状态 -1-未提交 0-待确认 1-通过 2-驳回")
    private Integer neAcceptState;

    /**
     * 调运单对外编码
     */
    @ApiModelProperty(name = "waybillOutCode",value = "调运单对外编码")
    private String waybillOutCode;

    /**
     * 是否页面列表查询 0-否 1-是
     */
    private Integer isList;
}
