package org.springblade.modules.app.common.query;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName: UserQuery
 * @Description:
 * @author: fxs
 * @createTime: 2021-11-08-13:59
 */

@Data
@Api(tags = "用户查询条件")
public class UserQuery implements Serializable {
    /**
     * 用户名称
     */
    @ApiModelProperty(name = "name", value = "用户名称")
    private String name;

    /**
     * 用户id集合
     */
    @ApiModelProperty(name = "userIdList", value = "用户id集合")
    private List<Long> userIdList;

    /**
     * 用户手机号
     */
    @ApiModelProperty(name = "phone", value = "用户手机号")
    private String phone;

    @ApiModelProperty(name = "type", value = "类型 1-屠宰场 2-养殖户 3-司机 4-经纪人 5-屠宰户")
    private Integer type;

    /**
     * 挂靠的屠宰场id
     */
    @ApiModelProperty(name = "slaughterHouseParentId", value = "挂靠的屠宰场id")
    private Long slaughterHouseParentId;

    private String token;

    private Integer autoSubmit;

}
