package org.springblade.modules.app.common.query;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.io.Serializable;
import java.util.List;

@Data
@Api(tags = "调运单查询条件")
@Slf4j
public class WaybillQuery implements Serializable {

    private static final long serialVersionUID = 3315064777503424033L;

    /**
     * agentId
     */
    @ApiModelProperty(name = "agentId",value = "经纪人id")
    private Long agentId;

    /**
     * 屠宰场id
     */
    @ApiModelProperty(name = "buyerId",value = "屠宰场id")
    private Long buyerId;

    /**
     * 养殖场id
     */
    @ApiModelProperty(name = "salerId",value = "养殖场id")
    private Long salerId;

    /**
     * 代宰户id
     */
    @ApiModelProperty(name = "slaughterHouseId",value = "代宰户id")
    private Long slaughterHouseId;

    /**
     * 司机id
     */
    @ApiModelProperty(name = "driverId",value = "司机id")
    private Long driverId;

    /**
     * 调运单编码
     */
    @ApiModelProperty(name = "billCode",value = "调运单编码")
    private String billCode;

    /**
     * 调运单对外编码
     */
    @ApiModelProperty(name = "outTradeNo", value = "调运单对外编码")
    private String outTradeNo;

    /**
     * stateList
     */
    @ApiModelProperty(name = "stateList",value = "状态集合")
    private List<Integer> stateList;
}
