package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: OutApiSyncRecordParamVO
 * @Description:
 * @author: fxs
 * @createTime: 2021-12-20-15:06
 */
@Data
@ApiModel(value = "OutApiSyncRecordParamVO", description = "浙牧通对外接口--备案参数VO")
public class OutApiSyncRecordParamVO {

    /**
     *  备案 uuid（修改操作时传入）
     */
    @ApiModelProperty(name = "registeredUuid", value = "备案 uuid（修改操作时传入）")
    private String registeredUuid;

    /**
     *  调运主体类型  1 养殖场 2 屠宰场 3 其 他调运主体
     */
    @ApiModelProperty(name = "companyOrPeopleType", value = " 调运主体类型  1 养殖场 2 屠宰场 3 其 他调运主体")
    private Integer companyOrPeopleType;

    /**
     * 单位或个人
     */
    @ApiModelProperty(name = "companyOrPeople", value = "单位或个人(屠宰场名称)")
    private String companyOrPeople;

    /**
     * 调运主体联系电话
     */
    @ApiModelProperty(name = "tel", value = "调运主体联系电话")
    private String tel;

    /**
     * 备案单位 id（屠宰场 ID）
     */
    @ApiModelProperty(name = "recordUnitId ", value = "备案单位 id（屠宰场 ID）")
    private Long recordUnitId;

    /**
     * 备案人（用户姓名）
     */
    @ApiModelProperty(name = "recordPeople ", value = "备案人（用户姓名）")
    private String recordPeople;

    /**
     * 备案人 id（用户 ID）
     */
    @ApiModelProperty(name = "recordPeopleId ", value = "备案人 id（用户 ID）")
    private Long recordPeopleId;

    /**
     * 备案时间
     */
    @ApiModelProperty(name = "recordTime ", value = "备案时间")
    private Date recordTime;

    /**
     * 品种 id(商品猪固定为 1410)
     */
    @ApiModelProperty(name = "kindTypeId ", value = "品种 id(商品猪固定为 1410)")
    private Long kindTypeId;

    /**
     * 供货商 id
     */
    @ApiModelProperty(name = "supplierId ", value = "供货商 id")
    private Long supplierId;

    /**
     * 供货方类型(1.供东部生猪屠宰企 业；2.六省供货方 4.无疫小区 )
     */
    @ApiModelProperty(name = "supplierType ", value = "供货方类型(1.供东部生猪屠宰企 业；2.六省供货方 4.无疫小区 )")
    private Integer supplierType;

    /**
     * 数量
     */
    @ApiModelProperty(name = "count ", value = "数量")
    private Integer count;

    /**
     * 用途 id（活畜禽屠宰固定为 1572）
     */
    @ApiModelProperty(name = "purposeId ", value = "用途 id（活畜禽屠宰固定为 1572）")
    private Long purposeId;

    /**
     * 拟调时间
     */
    @ApiModelProperty(name = "adjustmentTime ", value = "拟调时间")
    private Date adjustmentTime;

    /**
     * 是否途经检查站 0 经过 1 不经过
     */
    @ApiModelProperty(name = "isPassCheckpoint ", value = "是否途经检查站 0 经过 1 不经过")
    private Integer isPassCheckpoint;

    /**
     * 途经检查站 id
     */
    @ApiModelProperty(name = "inspectCheckpointId ", value = "途经检查站 id")
    private Long inspectCheckpointId;

    /**
     * 不途径原因
     */
    @ApiModelProperty(name = "notPassReason ", value = "不途径原因")
    private String notPassReason;

    /**
     * 备注
     */
    @ApiModelProperty(name = "remark ", value = "备注")
    private String remark;

}
