package org.springblade.modules.app.common.vo;

import org.springblade.modules.app.dto.InnerCaptchaReqDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: UserLoginDTO
 * @Description: 用户登录信息
 * @author: fxs
 * @createTime: 2021-11-05-15:36
 */
@Data
@ApiModel(value = "UserLoginVO", description = "用户登录信息")
public class UserLoginVO {
    /**
     * 短信验证码
     */
    @ApiModelProperty(name = "smsCode", value = "短信验证码")
    private String smsCode;
    /**
     * 手机号
     */
    @ApiModelProperty(name = "phone", value = "手机号")
    private String phone;
    /**
     * 校验类型 1-登录验证码 2-注册验证码 3-更换手机号验证码（旧手机号） 4-更换手机号验证码（新手机号） 5-修改密码
     */
    @ApiModelProperty(name = "type", value = "校验类型 1-登录验证码 2-注册验证码 3-更换手机号验证码（旧手机号） 4-更换手机号验证码（新手机号） 5-修改密码")
    private Integer type;
    /**
     * 滑动验证码
     */
    @ApiModelProperty(name = "captcha", value = "滑动验证码")
    private InnerCaptchaReqDTO captcha;
    /**
     * 登录类型 1-验证码登录 2-密码登录
     */
    @ApiModelProperty(name = "loginType", value = "登录类型 1-验证码登录 2-密码登录")
    private Integer loginType;
    /**
     * 用户密码
     */
    @ApiModelProperty(name = "password", value = "用户密码")
    private String password;
    /**
     * 重复密码
     */
    @ApiModelProperty(name = "confirmPassword", value = "重复密码")
    private String confirmPassword;
    /**
     * 是否记住密码 0-否 1-是
     */
    @ApiModelProperty(name = "ifRememberLogin", value = "是否记住密码 0-否 1-是")
    private Integer ifRememberLogin;

    private String token;
}
