package org.springblade.modules.app.entity;

import com.wn.common.datamodel.LogicDeleteBaseDO;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.Version;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * app版本管理表
 * </p>
 *
 * @author huyinuo
 * @since 2022-02-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tb_app_version")
public class AppVersionDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 版本号
     */
    private Long versionNumber;

    /**
     * 版本名称
     */
    private String versionName;

    /**
     * 更新内容
     */
    private String upgradeContext;

    /**
     * 安装包url
     */
    private String installationPackageUrl;

    /**
     * 文件大小
     */
    private Long fileSize;

    /**
     * 是否强制更新 1：是 0：否（默认否）
     */
    private Integer ifForcedUpdate;

    /**
     * 渠道类型 0：通用渠道 1：华为渠道
     */
    private Integer channelType;

}
