package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.wn.common.datamodel.LogicDeleteBaseDO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 用户合同信息表
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tb_contract")
public class ContractDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 合同名称
     */
    private String contractName;

    /**
     * 合同状态
     */
    private Integer state;

    /**
     * 养殖场id
     */
    private Long salerUserId;

    /**
     * 养殖场名称
     */
    private String salerUserName;

    /**
     * 养殖场地址
     */
    private String salerUserAddress;

    /**
     * 养殖场信用代码
     */
    private String salerCreditCode;

    /**
     * 屠宰场id
     */
    private Long buyerUserId;

    /**
     * 屠宰场名称
     */
    private String buyerUserName;

    /**
     * 屠宰场地址
     */
    private String buyerUserAddress;

    /**
     * 屠宰场信用代码
     */
    private String buyerCreditCode;

    /**
     * 合同到期时间
     */
    private Date contractExpiryTime;

    /**
     * 屠宰场三年无疫情证明
     */
    private String noEpidemicProofUrl;


}
