/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 商户进件实体类
 *
 * @author BladeX
 * @since 2022-10-14
 */
@Data
@TableName("tb_payment_account_applyment")
@ApiModel(value = "PaymentAccountApplyment对象", description = "商户进件")
public class PaymentAccountApplyment implements Serializable {

	private static final long serialVersionUID = 1L;

	private Long id;
	/**
	* 支付渠道
	*/
		@ApiModelProperty(value = "支付渠道")
		private Integer channel;
	/**
	* 用户id
	*/
		@ApiModelProperty(value = "用户id")
		private Long userId;
	/**
	* 身份证号
	*/
		@ApiModelProperty(value = "身份证号")
		private String idCard;
	/**
	* 用户类型
	*/
		@ApiModelProperty(value = "用户类型")
		private Integer userType;
	/**
	* 真实姓名
	*/
		@ApiModelProperty(value = "真实姓名")
		private String trueName;
	/**
	* 手机号
	*/
		@ApiModelProperty(value = "手机号")
		private String mobile;
	/**
	* 开户行
	*/
		@ApiModelProperty(value = "开户行")
		private String bank;
	/**
	* 银行账号
	*/
		@ApiModelProperty(value = "银行账号")
		private String bankAccount;
	/**
	* 主体类型
	*/
		@ApiModelProperty(value = "主体类型")
		private Integer subjectType;
	/**
	* 商户名称
	*/
		@ApiModelProperty(value = "商户名称")
		private String merchantName;
	/**
	* 营业执照注册号
	*/
		@ApiModelProperty(value = "营业执照注册号")
		private String licenseNumber;
	/**
	* 注册地址
	*/
		@ApiModelProperty(value = "注册地址")
		private String licenseAddress;
	/**
	* 公司名称
	*/
		@ApiModelProperty(value = "公司名称")
		private String businessName;
	/**
	* 营业期限
	*/
		@ApiModelProperty(value = "营业期限")
		private String businessPeriod;
	/**
	* 联系人
	*/
		@ApiModelProperty(value = "联系人")
		private String contact;
	/**
	* 账户类型
	*/
		@ApiModelProperty(value = "账户类型")
		private Integer accountType;
	/**
	* 账户名称
	*/
		@ApiModelProperty(value = "账户名称")
		private String accountName;
	/**
	* 账户账号
	*/
		@ApiModelProperty(value = "账户账号")
		private String accountNumber;
	/**
	* 法人姓名
	*/
		@ApiModelProperty(value = "法人姓名")
		private String legalName;
	/**
	* 法人证件类型
	*/
		@ApiModelProperty(value = "法人证件类型")
		private Integer legalType;
	/**
	* 法人证件照号码
	*/
		@ApiModelProperty(value = "法人证件照号码")
		private String legalNumber;
	/**
	* 法人证件期限
	*/
		@ApiModelProperty(value = "法人证件期限")
		private String legalPeriod;
	/**
	* 联系人手机号
	*/
		@ApiModelProperty(value = "联系人手机号")
		private String contactMobile;
	/**
	* 状态
	*/
		@ApiModelProperty(value = "状态")
		private Integer status;
	private Integer isDeleted;
	private LocalDateTime createTime;
	private LocalDateTime updateTime;


}
