package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.wn.common.datamodel.LogicDeleteBaseDO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 * 代宰户与屠宰场绑定关系表
 * </p>
 *
 * @author zhangK
 * @since 2022-01-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tb_slaughter_buyer_relation")
public class SlaughterBuyerRelationDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 代宰户id
     */
    private Long slaughterHouseId;

    /**
     * 屠宰场用户id
     */
    private Long buyerUserId;

    /**
     * 状态 0-待确认 1-已绑定 9-已拒绝
     */
    private Integer state;

    /**
     * 绑定时间
     */
    private Date bindTime;

    /**
     * 是否自动审批 0-否 1-是
     */
    private Integer ifAutoApply;

    /**
     * 拒绝时间
     */
    private Date refuseTime;

    /**
     * 发起方 1-屠宰场 5-代宰户
     */
    private Integer initiator;

    /**
     * 备注
     */
    private String remark;


}
