package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.wn.common.datamodel.LogicDeleteBaseDO;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 运输单信息
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
@Data
@TableName("tb_transport_stage_info")
public class TransportStageInfoDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 运输单id
     */
    private Long transportId;

    /**
     * 阶段 1-装运 2-过检 3-验收
     */
    private Integer stage;

    /**
     * 运输单阶段位置
     */
    private String submitLocation;

    /**
     * 经度
     */
    private String submitLongitude;

    /**
     * 纬度
     */
    private String submitLatitude;

    /**
     * 提交时间
     */
    private Date submitTime;

    /**
     * 违规类型 0-未违规 1-行程异常
     */
    private Integer expType;


}
