package org.springblade.modules.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.app.common.dto.AppUserIdDTO;
import org.springblade.modules.app.common.query.AppUserIdQuery;
import org.springblade.modules.app.entity.AppUserIdDO;

import java.util.List;

/**
 * <p>
 * app用户标识表 服务类
 * </p>
 *
 * @author huyinuo
 * @since 2022-01-17
 */
public interface IAppUserIdService extends IService<AppUserIdDO> {

    /**
     * 查询app用户标识列表
     *
     * @param appUserIdQuery
     * @return
     */
    List<AppUserIdDTO> listAppUserIdByUserId(AppUserIdQuery appUserIdQuery);

    /**
     * 新增app用户标识表
     *
     * @param appUserIdDTO
     * @return
     */
    Long addAppUserId(AppUserIdDTO appUserIdDTO);

    /**
     * 修改app用户标识表
     *
     * @param appUserIdDTO
     * @return
     */
    Boolean updateAppUserId(AppUserIdDTO appUserIdDTO);

    /**
     * 查询app用户标识信息
     *
     * @param appUserIdQuery
     * @return
     */
    AppUserIdDTO getAppUserIdDTO(AppUserIdQuery appUserIdQuery);
}
