package org.springblade.modules.app.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springblade.modules.app.common.dto.AppVersionDTO;
import org.springblade.modules.app.common.query.AppVersionQuery;
import org.springblade.modules.app.common.query.LatestAppVersionQuery;
import org.springblade.modules.app.entity.AppVersionDO;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * app版本管理表 服务类
 * </p>
 *
 * @author huyinuo
 * @since 2022-02-23
 */
public interface IAppVersionService extends IService<AppVersionDO> {

    /**
     * 分页查询app版本列表
     *
     * @param appVersionQuery
     * @return
     */
    Page<AppVersionDTO> pageAppVersion(AppVersionQuery appVersionQuery);

    /**
     * 查询app版本详情
     *
     * @param id
     * @return
     */
    AppVersionDTO getAppVersion(Long id);

    /**
     * 新增app版本信息
     *
     * @param appVersionDTO
     * @return
     */
    Long addAppVersion(AppVersionDTO appVersionDTO);

    /**
     * 修改app版本信息
     *
     * @param appVersionDTO
     * @return
     */
    Boolean updateAppVersion(AppVersionDTO appVersionDTO);

    /**
     * 获取最新一条app版本信息
     *
     * @param latestAppVersionQuery
     * @return
     */
    AppVersionDTO latestAppVersion(LatestAppVersionQuery latestAppVersionQuery);
}
