package org.springblade.modules.app.service;

import com.alibaba.excel.metadata.BaseRowModel;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springblade.modules.app.common.dto.EnteringZhejiangFilingDTO;
import org.springblade.modules.app.common.query.EnteringZhejiangFilingListQuery;
import org.springblade.modules.app.common.query.EnteringZhejiangFilingQuery;
import org.springblade.modules.app.entity.EnteringZhejiangFilingDO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 入浙备案登记信息 服务类
 * </p>
 *
 * @author huyinuo
 * @since 2022-01-11
 */
public interface IEnteringZhejiangFilingService extends IService<EnteringZhejiangFilingDO> {

    /**
     * 新增省外养殖场登记信息
     *
     * @param enteringZhejiangFilingDTO
     * @return id
     */
    Long addEnteringZhejiangFiling(EnteringZhejiangFilingDTO enteringZhejiangFilingDTO);

    /**
     * 通过养殖场id查询入浙备案信息
     *
     * @param userId
     * @return id
     */
    EnteringZhejiangFilingDTO getEnteringZhejiangFilingByUserId(Long userId);

    /**
     * 分页查询入浙备案信息列表
     *
     * @param enteringZhejiangFilingQuery
     * @return
     */
    Page<EnteringZhejiangFilingDTO> pageEnteringZhejiangFiling(EnteringZhejiangFilingQuery enteringZhejiangFilingQuery);

    /**
     * 通过id查询入浙备案信息
     *
     * @param id
     * @return
     */
    EnteringZhejiangFilingDTO getEnteringZhejiangFilingById(Long id);

    /**
     * 修改入浙备案信息
     *
     * @param enteringZhejiangFilingDTO
     * @return
     */
    Boolean updateEnteringZhejiangFiling(EnteringZhejiangFilingDTO enteringZhejiangFilingDTO);

    /**
     * 查询入浙备案信息列表
     *
     * @param enteringZhejiangFilingListQuery
     * @return
     */
    List<EnteringZhejiangFilingDTO> listEnteringZhejiangFilingList(EnteringZhejiangFilingListQuery enteringZhejiangFilingListQuery);
}
