package org.springblade.modules.app.web.admin;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.wn.common.controller.BaseController;
import com.wn.common.datamodel.ResultDTO;
import org.springblade.modules.app.common.dto.ContractDTO;
import org.springblade.modules.app.common.query.ContractQuery;
import org.springblade.modules.app.manager.ContractManager;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName: AdminUserController
 * @Description:
 * @author: fxs
 * @createTime: 2021-11-22-16:11
 */
@RestController
@RequestMapping("app/admin/contract")
@Api(value = "备案管理-管理端", tags = "备案管理-管理端")
public class AdminContractController extends BaseController {

    @Autowired
    private ContractManager contractManager;

    //@ApiOperation(value = "分页查询合同列表")
    @GetMapping("/page")
    public ResponseEntity<ResultDTO<Page<ContractDTO>>> pageContract(ContractQuery contractQuery){
        return success(contractManager.pageContract(contractQuery));
    }

}
