/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.desk.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.desk.entity.PlatformUser;
import org.springblade.modules.desk.excel.PlatformUserExcel;
import org.springblade.modules.desk.vo.PlatformUserVO;
import org.springblade.modules.desk.mapper.PlatformUserMapper;
import org.springblade.modules.desk.service.IPlatformUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 用户信息表 服务实现类
 *
 * @author BladeX
 * @since 2022-05-25
 */
@Service
public class PlatformUserServiceImpl extends ServiceImpl<PlatformUserMapper, PlatformUser> implements IPlatformUserService {

	@Override
	public IPage<PlatformUserVO> selectPlatformUserPage(IPage<PlatformUserVO> page, PlatformUserVO platformUser) {
		return page.setRecords(baseMapper.selectPlatformUserPage(page, platformUser));
	}

	@Override
	public List<PlatformUserExcel> exportPlatformUser(Wrapper<PlatformUserVO> queryWrapper) {
		List<PlatformUserExcel> userExcelList = baseMapper.exportPlatformUser(queryWrapper);
		return userExcelList;
	}

}
